Verify Company CAC
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/kyc/verify/cac \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"rcNumber": "<string>",
"companyType": "<string>",
"companyName": "<string>"
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/kyc/verify/cac"
payload = {
"rcNumber": "<string>",
"companyType": "<string>",
"companyName": "<string>"
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({rcNumber: '<string>', companyType: '<string>', companyName: '<string>'})
};
fetch('https://devapi.withedge.co/gateway/api/v1/kyc/verify/cac', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 00,
"message": "Completed successfully"
"data": {},
"errors": []
}
Know Your Customer
Verify Company CAC
This endpoint enables you to verify a company’s CAC (Corporate Affairs Commission) information.
POST
/
kyc
/
verify
/
cac
Verify Company CAC
Verify Company CAC
Use this endpoint to validate a company’s details against its CAC (Corporate Affairs Commission) registration information.Request Parameters
string
required
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9string
required
The unique identification number assigned to the company by the CAC.
Example:
Example:
RC123456string
required
The type of company (e.g., Limited Liability Company, Public Company).
Example:
Example:
Limited Liability Companystring
required
The registered name of the company.
Example:
Example:
Doe Enterprises Ltd.{
"statusCode": 00,
"message": "Completed successfully"
"data": {},
"errors": []
}
Was this page helpful?
⌘I